Get data from captaindata people certifications
curl --request GET \
--url https://api.captaindata.com/v1/people/certifications \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.captaindata.com/v1/people/certifications"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.captaindata.com/v1/people/certifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "<string>",
"credential_id": "<string>",
"company_name": "<string>",
"li_company_url": "<string>",
"external_certificate_link": "<string>",
"issued_date": "2023-12-25",
"expiration_date": "2023-12-25"
}
]{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}People
Get People Licenses & Certifications
Retrieve licenses and certifications from a LinkedIn profile.
GET
/
people
/
certifications
Get data from captaindata people certifications
This endpoint allows you to retrieve a person’s licenses and certifications.Credit Cost: 1 credit per request + 0.05 credits per result. A full page
of 20 results typically consumes 2 credits (1 + 20 × 0.05).
You must provide at least one of
li_profile_url or people_uid.X-Pagination-Next and X-Pagination-Previous headers may be included in
the response to provide full URLs for the next or previous pages. Always use
these URLs as-is — they contain the cursor needed for pagination. Cursors
expire after 24 hours; if expired, restart pagination from the beginning.Authorizations
Query Parameters
Cursor value obtained from the X-Pagination-Next response header of a previous request, used to continue pagination. Cursors expire after 24 hours. If a cursor has expired or is invalid, pagination must be restarted from the beginning.
Maximum number of results per page (read-only; defined by the endpoint, actual count may be lower in some cases like throttling or internal limits).
Required range:
20 <= x <= 20A LinkedIn Profile URL should start with 'https://www.linkedin.com/in/'
Pattern:
/^https:\/\/(?:(www|[a-z]{2})\.)?linkedin\.com\/in\/[-\w\d%]+/giThe Captain data UID of the people
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$|^\d+$